// $Id: Coherent_Changes_Guard.cpp 87390 2009-11-06 19:33:22Z johnnyw $
#include "dds4ccm/impl/ndds/Coherent_Changes_Guard.h"

CIAO::DDS4CCM::RTI::Coherent_Changes_Guard::Coherent_Changes_Guard (DDSPublisher* p, bool coherent_write) : p_ (p), coherent_write_ (coherent_write)
{
  if (this->coherent_write_)
    {
      p_->begin_coherent_changes ();
    }
}

CIAO::DDS4CCM::RTI::Coherent_Changes_Guard::~Coherent_Changes_Guard ()
{
  if (this->coherent_write_)
    {
      this->p_->end_coherent_changes ();
    }
}

